$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.162.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.162.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A76B8B1150A07D57560BBA998100B50EE7D58FA5004916AEAC85203529A65CB3'
  checksumType = 'sha256'
  checksum64 = 'A76B8B1150A07D57560BBA998100B50EE7D58FA5004916AEAC85203529A65CB3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.162-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
